[Yum] Strange dependency problem

Steven Raasch sraasch at computer.org
Wed Dec 3 18:19:45 UTC 2003


If you look closely:

<snip>
Looking in installed packages for a providing package
Installed package: mplayer-skin-default.noarch 0:1.0-2 matches with
 mplayer-skin
</snip>

seth vidal wrote:

>>[root at tivoman yum]# yum provides mplayer-skin
>>    
>>
>
>  
>
>>[root at tivoman yum]# yum upgrade
>>Gathering header information file(s) from server(s)
>>Server: ATrpms good for rhl 9
>>Server: ATrpms stable for rhl 9
>>Server: Red Hat Linux 9 - i386 - Base
>>Server: Freshrpms packages for Red Hat Linux 9
>>Server: Red Hat Linux 9 - Updates
>>Finding updated packages
>>Downloading needed headers
>>Finding obsoleted packages
>>Resolving dependencies
>>.package mplayer-gui needs mplayer-skin (not provided)
>>    
>>
>
>You'll note nothing provides mplayer-skin
>
>only mplayer-skins.
>
>you've got a broken dep in mplayer-gui.
>
>-sv
>
>
>_______________________________________________
>Yum mailing list
>Yum at lists.dulug.duke.edu
>https://lists.dulug.duke.edu/mailman/listinfo/yum
>  
>

-- 
========================================================================
Steven E. Raasch                     Ph.D. Candidate
                                    Advanced Computer Architecture Lab
mailto:sraasch at eecs.umich.edu        University of Michigan, Ann Arbor
http://www.eecs.umich.edu/~sraasch   Office: EECS 2001B    734-764-9363



More information about the Yum mailing list